Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.automaton
Class AutomatonReturn

    java.lang.Object
      gecco.server.automaton.AutomatonReturn

Direct Known Subclasses:
  AutomatonReturnNoAction, AutomatonReturnQueueNeighbours, AutomatonReturnQueueSelective, AutomatonReturnQueueSelf, AutomatonReturnQueueSelfAndNeighbours

public abstract class AutomatonReturn
extends Object

Description of the Class

Author:
  Henrik Hägerström

Field Summary
`protected UnitEvent` | `event` Description of the Field
`protected double` | `neighboursTimeToExecution` Description of the Field
`protected double` | `selfTimeToExecution` Description of the Field

Constructor Summary
`AutomatonReturn()`

Method Summary
`double` | `getNeighboursTimeToExecution()` Gets the NeighboursTimeToExecution attribute of the AutomatonReturn object
`double` | `getSelfTimeToExecution()` Gets the SelfTimeToExecution attribute of the AutomatonReturn object
`UnitEvent` | `getUnitEvent()` Gets the UnitEvent attribute of the AutomatonReturn object
`void` | `setUnitEvent(UnitEvent unitEvent)` Sets the UnitEvent attribute of the AutomatonReturn object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### event

    protected UnitEvent event

  Description of the Field

### selfTimeToExecution

    protected double selfTimeToExecution

  Description of the Field

### neighboursTimeToExecution

    protected double neighboursTimeToExecution

  Description of the Field

Constructor Detail

### AutomatonReturn

    public AutomatonReturn()

Method Detail

### setUnitEvent

    public void setUnitEvent(UnitEvent unitEvent)

  Sets the UnitEvent attribute of the AutomatonReturn object

  Parameters:
    `unitEvent` - The new UnitEvent value

### getSelfTimeToExecution

    public double getSelfTimeToExecution()

  Gets the SelfTimeToExecution attribute of the AutomatonReturn object

  Returns:
    The SelfTimeToExecution value

### getNeighboursTimeToExecution

    public double getNeighboursTimeToExecution()

  Gets the NeighboursTimeToExecution attribute of the AutomatonReturn object

  Returns:
    The NeighboursTimeToExecution value

### getUnitEvent

    public UnitEvent getUnitEvent()

  Gets the UnitEvent attribute of the AutomatonReturn object

  Returns:
    The UnitEvent value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD